package com.simuwang.base.mapper.daq;

import com.simuwang.base.pojo.dos.EmailFieldMappingDO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface EmailFieldMappingMapper {

    /**
     * 获取净值文件字段识别映射配置
     *
     * @param type 0-公共的字段，1-净值和估值表解析的字段，3-定期报告解析的字段
     * @return 净值文件字段识别映射配置
     */
    List<EmailFieldMappingDO> getEmailFieldMapping(Integer type);

}
