//package com.simuwang;
//
//import cn.hutool.core.collection.ListUtil;
//import cn.hutool.core.date.DateUtil;
//import com.simuwang.base.common.conts.DateConst;
//import com.simuwang.base.common.util.DateUtils;
//import com.simuwang.base.pojo.dto.MailboxInfoDTO;
//import com.simuwang.daq.service.EmailParseApiService;
//import com.simuwang.daq.service.EmailParseService;
//import org.jasypt.util.text.BasicTextEncryptor;
//import org.junit.jupiter.api.Test;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.boot.test.context.SpringBootTest;
//
//import java.util.ArrayList;
//import java.util.Date;
//
//@SpringBootTest(classes = Application.class)
//public class ApplicationTest {
//
//    @Autowired
//    private EmailParseService emailParseService;
//
//    @Autowired
//    private EmailParseApiService emailParseApiService;
//
//    @Test
//    public void test() {
//        MailboxInfoDTO emailInfoDTO = this.buildMailbox("", "");
////
////        emailInfoDTO.setAccount("jjpj_test");
////        emailInfoDTO.setPassword("shzq#919");
////        emailInfoDTO.setHost("mail.shzq.com");
////        emailInfoDTO.setPort("993");
////        emailInfoDTO.setProtocol("imap");
//
//        Date startDate = DateUtil.parse("2024-10-10 15:00:00", DateConst.YYYY_MM_DD_HH_MM_SS);
//        Date endDate = DateUtil.parse("2024-10-10 16:40:00", DateConst.YYYY_MM_DD_HH_MM_SS);
//        try {
//            emailParseService.parseEmail(emailInfoDTO, startDate, endDate);
//        } catch (Exception e) {
//            throw new RuntimeException(e);
//        }
//    }
//
//    @Test
//    public void reportTest() {
//        MailboxInfoDTO emailInfoDTO = this.buildMailbox("x", "x");
//        Date startDate = DateUtil.parse("2024-10-15 15:10:30", DateConst.YYYY_MM_DD_HH_MM_SS);
//        Date endDate = DateUtil.parse("2024-10-15 17:50:30", DateConst.YYYY_MM_DD_HH_MM_SS);
//        try {
//            emailParseService.parseEmail(emailInfoDTO, startDate, endDate);
//        } catch (Exception e) {
//            throw new RuntimeException(e);
//        }
//    }
//
//    @Test
//    public void testReparseEmail() {
//        emailParseApiService.reparseEmail(593);
//    }
//
//    @Test
//    public void testReparseFile() {
//        emailParseApiService.reparseFile(ListUtil.toList(40, 43));
//    }
//
//    @Test
//    public void testDateFormat() {
//        String input = "Smppw@2024";
//        BasicTextEncryptor textEncryptor = new BasicTextEncryptor();
//        textEncryptor.setPassword("qwertyuiopasdfghjklzxcvbnm1234567890qwertyuiopasdfghjklzxcvbnm12"); // 用您自己的密钥替换"yourSecretKey"
//        String encryptedString = textEncryptor.encrypt(input);
//        String decrypt = textEncryptor.decrypt(encryptedString);
//        System.out.println("加密后的字符串为: " + encryptedString);
//        System.out.println("解密后的字符串为: " + decrypt);
//    }
//
//    private MailboxInfoDTO buildMailbox(String account, String pwd) {
//        MailboxInfoDTO emailInfoDTO = new MailboxInfoDTO();
//        emailInfoDTO.setUserId(1);
//        emailInfoDTO.setAccount(account);
//        emailInfoDTO.setPassword(pwd);
//        emailInfoDTO.setHost("imap.exmail.qq.com");
//        emailInfoDTO.setPort("993");
//        emailInfoDTO.setProtocol("imap");
//        return emailInfoDTO;
//    }
//}
