package com.simuwang.manage.service.impl;

import com.simuwang.base.mapper.daq.CompanyInformationMapper;
import com.simuwang.manage.service.CompanyInformationService;
import org.checkerframework.checker.units.qual.A;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * FileName: CompanyInformationServiceImpl
 * Author:   chenjianhua
 * Date:     2024/9/6 15:28
 * Description: ${DESCRIPTION}
 */
@Service
public class CompanyInformationServiceImpl implements CompanyInformationService {
    @Autowired
    private CompanyInformationMapper companyInformationMapper;
    @Override
    public List<Map<String, String>> searchCompanyInfo(String keyword) {
        List<Map<String, String>> result = companyInformationMapper.searchCompanyInfoByKeyword(keyword);
        return result;
    }
}
