package com.simuwang.base.common.conts;

public class NavParseStatusConst {

    /**
     * 成功
     */
    public final static Integer SUCCESS = 1;

    /**
     * 净值缺失
     */
    public final static Integer NAV_DEFICIENCY = 2;

    /**
     * 净值缺失
     */
    public final static String NAV_DEFICIENCY_TEXT = "净值缺失";

    /**
     * 未匹配基金
     */
    public final static Integer NOT_MATCH = 3;

    /**
     * 未匹配基金
     */
    public final static String NOT_MATCH_TEXT = "未匹配基金";

    /**
     * 净值不大于0
     */
    public final static Integer NAV_NEGATIVE = 4;

    /**
     * 净值不大于0
     */
    public final static String NAV_NEGATIVE_TEXT = "净值不大于0";

    /**
     * 资产净值不大于0
     */
    public final static Integer ASSET_NET_NEGATIVE = 5;

    /**
     * 资产净值不大于0
     */
    public final static String ASSET_NET_NEGATIVE_TEXT = "资产净值不大于0";

    /**
     * 当期（单位净值）与上期（单位净值）振幅大于等于20%
     */
    public final static Integer AMPLITUDE_EXCEPTION = 6;

    /**
     * 当期（单位净值）与上期（单位净值）振幅大于等于20%
     */
    public final static String AMPLITUDE_EXCEPTION_TEXT = "当期净值振幅大于等于20%";

    /**
     * 当期（单位净值）与上期（单位净值）振幅大于等于100%拦截
     */
    public final static Integer AMPLITUDE_ERROR = 7;


    /**
     * 当期（单位净值）与上期（单位净值）振幅大于等于100%拦截
     */
    public final static String AMPLITUDE_ERROR_TEXT = "当期净值振幅大于等于100%";

    /**
     * 净值日期不能大于当前日期
     */
    public final static Integer PRICE_DATE_AFTER_NOW = 8;

    /**
     * 净值日期不能大于当前日期
     */
    public final static String PRICE_DATE_AFTER_NOW_TEXT = "净值日期不能大于当前日期";

    /**
     * 净值日期不能早于成立日期
     */
    public final static Integer PRICE_DATE_BEFORE_INCEPTION = 9;

    /**
     * 净值日期不能早于成立日期
     */
    public final static String PRICE_DATE_BEFORE_INCEPTION_TEXT = "净值日期不能早于成立日期";


    /**
     * 净值日期不能晚于清算日期
     */
    public final static Integer PRICE_DATE_AFTER_LIQUIDATE = 10;


    /**
     * 净值日期不能晚于清算日期
     */
    public final static String PRICE_DATE_AFTER_LIQUIDATE_TEXT = "净值日期不能晚于清算日期";

    /**
     * 净值日期不能是周末（成立日除外）
     */
    public final static Integer PRICE_DATE_NOT_WORK_DAY = 11;

    /**
     * 净值日期不能是周末（成立日除外）
     */
    public final static String PRICE_DATE_NOT_WORK_DAY_TEXT = "净值日期不能是周末（成立日除外）";

    /**
     * 净值日期为空
     */
    public final static Integer PRICE_DATE_IS_NULL = 12;

    /**
     * 净值日期为空
     */
    public final static String PRICE_DATE_IS_NULL_TEXT = "净值日期为空";
    /**
     * 净值日期错误
     */
    public final static Integer PRICE_DATE_IS_ERROR = 13;

    /**
     * 净值日期错误
     */
    public final static String PRICE_DATE_IS_ERROR_TEXT = "净值日期格式有误";

    /**
     * 净值规模数据格式有误
     */
    public final static Integer NAV_ASSET_IS_ERROR = 14;

    /**
     * 净值规模数据格式有误
     */
    public final static String NAV_ASSET_IS_ERROR_TEXT = "净值规模数据格式有误";

    /**
     * 基金名称和备案编码均缺失
     */
    public final static Integer FUND_NAME_REGISTER_IS_NULL = 15;

    /**
     * 基金名称和备案编码均缺失
     */
    public final static String FUND_NAME_REGISTER_IS_NULL_TEXT = "基金名称和备案编码均缺失";

    /**
     * 单位净值和累计净值和资产净值均缺失
     */
    public final static Integer NAV_ASSET_IS_NULL = 16;
    /**
     * 单位净值和累计净值和资产净值均缺失
     */
    public final static String NAV_ASSET_IS_NULL_TEXT = "单位净值和累计净值和资产净值均缺失";

    /**
     * 模板不支持
     */
    public final static String TEMPLATE_NOT_SUPPORTED_TEXT = "模板不支持";

    /**
     * 模板不支持
     */
    public final static String NO_DATA_FROM_PDF_TEXT = "无法从PDF文件中获取到数据";
}
