package com.simuwang.base.mapper.daq;

import com.simuwang.base.pojo.dos.EmailFundNavCollectionDO;
import com.simuwang.base.pojo.dto.query.DataboardQuery;
import com.simuwang.base.pojo.dto.query.EmailFileQuery;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * FileName: EmailFundNavCollectionMapper
 * Author:   chenjianhua
 * Date:     2024/12/5 17:03
 * Description: ${DESCRIPTION}
 */
@Mapper
public interface EmailFundNavCollectionMapper {
     Long countByFileId(@Param("fileId") Integer fileId,@Param("emailId") Integer emailId);

     void batchInsert(@Param("itemDoList") List<EmailFundNavCollectionDO> emailFundNavCollectionVOList);

     List<EmailFundNavCollectionDO> selectEmailFundNavCollectionDOByEmailFileId(EmailFileQuery emailFileQuery);

     Long countDataByExceptionStatus(@Param("item") DataboardQuery databoardQuery,@Param("exceptionStatus") Integer exceptionStatus);

     void delete(@Param("fileId") Integer fileId,@Param("emailId") Integer emailId);
}
