package com.simuwang.base.mapper.daq;

import com.simuwang.base.pojo.dos.ValuationTableDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ValuationTableMapper {

    void unValid(@Param("fileId") Integer fileId);

    int insert(ValuationTableDO record);

    void updateUpdateAnalyzed(@Param("fundId") String fundId,
                              @Param("valuationDate") String valuationDate, @Param("hasStock") Integer hasStock,
                              @Param("hasBond") Integer hasBond, @Param("hasFuture") Integer hasFuture);

    List<ValuationTableDO> selectValuationTableByFundId(@Param("fundId")String fundId);
}
